/* Venue */
@font-face {
    font-display: swap;
    font-family: 'Venue';
    font-style: normal;
    font-weight: 400;
    src: url('https://twstanzgmbh.nimbuscloud.at/?r=/documents/file/public/cd34ccb0fe6993f31e62f894f309ce28e143edff0dcbe444') format('woff2');
}
@font-face {
    font-display: swap;
    font-family: 'Venue';
    font-style: normal;
    font-weight: 700;
    src: url('https://twstanzgmbh.nimbuscloud.at/?r=/documents/file/public/b2d2fb8b956c679b18a5594464edb4d194ab8437310c9abb') format('woff2');
}

:root {
  	--color-violet: #8A315A;
	--color-darkgrey: #605e5a;
	--color-lightgrey: #ECECEB;
}

html, body {
	font-family: 'Venue', sans-serif;
	font-size: 20px;
	color: white;
	background: black;
	-webkit-font-smoothing: antialiased;
  	-moz-osx-font-smoothing: grayscale;
	min-height:100%;
	overflow:hidden;
}

@media (min-width: 500px) {
	#public-coupon-form {
		max-width:100%;
	}
}

h1, h2, h3, h4 {
	font-family: 'Venue', sans-serif;
	font-weight: bold;
	color:white;
	margin-top: 2rem;
}
	
/*Accordion*/
.coupon-step-container {
	border: none;
}
/*Accordion Heads*/
.coupon-step-container .coupon-step-header {
	background: white;
}
/*Carets*/
.coupon-step-container .coupon-step-header .header-icons {
	color: var(--color-violet);
}

/*Global Form Elements*/
.form-control {
	font-size: 1rem;
	color: var(--color-darkgrey);
	height: auto;
	border: 2px solid black;
}
.form-control:focus {
	border: 3px solid black;
}
.form-row .form-value>.form-control {
	max-width: 18rem;
}
.form-control:autofill {
  	background:var(--color-lightgrey);
}

.form-control:-webkit-autofill {
  	background:var(--color-lightgrey);
	color: black;
}

.coupon-form .required-item:after {
	color: var(--color-violet);
}

.coupon-form .required-item[for="coupon-text"]:after {
	content: ' (Name der schenkenden Person) *';
	color: var(--color-darkgrey);
}

.coupon-form .optional-item[for="coupon-text"]:after {
	content: ' (Name der schenkenden Person)';
	color: var(--color-darkgrey);
}

/*Buttons*/
.btn {
	background: var(--color-violet);
	color: white;
	padding: 0.25rem 1rem;
	font-family: 'Venue', sans-serif;
	font-weight: 400;
	font-size: 1rem;
	border-bottom-right-radius: .5rem;
	border-top-left-radius: .5rem;
}


/*Error messages*/
.alert-danger {
	background: white;
	border: 2px solid var(--color-violet);
	color: var(--color-violet);
}
.alert-danger .fa-arrow-up {
	color: var(--color-violet);
}